<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.business.mapper.TemperMapper">


    <resultMap type="Temper" id="TemperMap">
        <result property="rkId" column="rkId"/>
        <result property="rkDegree" column="rkDegree"/>
        <result property="updateTime" column="updateTime"/>
    </resultMap>


    <select id="selectTemperList" parameterType="Temper" resultMap="TemperMap">
        select rkId,rkDegree,updateTime from t_base_temper
        <where>
            <if test="rkId != null "> and rkId = #{rkId}</if>
            <if test="rkDegree != null "> and rkDegree = #{rkDegree}</if>
        </where>
    </select>




</mapper>